Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235232 - spec files should contain instructions for creating custom tarball
Summary: spec files should contain instructions for creating custom tarball
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: 6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 17:05 UTC by Bernard Johnson
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 06:48:38 UTC


Attachments (Terms of Use)

Description Bernard Johnson 2007-04-04 17:05:36 UTC
Description of problem:
spec files should contain instructions for creating custom tarball

Version-Release number of selected component (if applicable):
wine-0.9.32-1.fc6

Comment 1 Andreas Bierfert 2007-04-04 20:29:19 UTC
Why do you need it?

Comment 2 Bernard Johnson 2007-04-05 01:12:56 UTC
It just brings it up to current packaging standards.  Please see "When Upstream
uses Prohibited Code" here:  http://fedoraproject.org/wiki/Packaging/SourceURL



Comment 3 Andreas Bierfert 2007-04-05 17:33:09 UTC
I know about them but I am not really happy with putting in a lengthy desription
on how to get the source clean as it is not just removing some stuff from the
code and adding a diff for this would be the same as leaving the code inside the
sourcefile. Everybody who wants to know can make a diff against the original
tarball.

What I can do is add a note why these are custom sources and what diff options
can be used to see what is happening (with a link to the original sources).

Comment 4 Bernard Johnson 2007-04-05 17:49:24 UTC
(In reply to comment #3)
> I know about them but I am not really happy with putting in a lengthy desription
> on how to get the source clean as it is not just removing some stuff from the
> code and adding a diff for this would be the same as leaving the code inside the
> sourcefile. Everybody who wants to know can make a diff against the original
> tarball.

Can you reduce your modifications to a script that you include as a SourceX line
and say "run this on the original sources to produce a -fe tarball if you need
to create it from scratch"??

I don't think anyone cares to have a lengthy explanation in the spec, just the
ability to easily reproduce the source tarball.

Consider the case of if something tragic happened to you and someone else had to
take over the package and upgrade from N to N+1.  Where would they start?  

Personally, I was having problems with wine myself and someone posted a patch to
the wine bugzilla for my problem.  I was going to rebuild the SRPM, but the
patch wouldn't cleanly apply against 0.32 so I was going to drop in a 0.33
source.  Without instruction on how to easily create a -fe tarball, I had to
resort to hacking the spec file to include the additional files produced by the
original source.

Not really an optimal situation.

> What I can do is add a note why these are custom sources and what diff options
> can be used to see what is happening (with a link to the original sources).

Better than nothing, but still doesn't cover the N -> N+1 case very well.

Depending on the amount of work that you are talking about, it may be the best
option though, at least at this point.  I'm sure your judgment on the best
approach will be good.



On another topic, a bump from 0.32 to 0.34 would be nice.  And if you do, please
include this patch:
http://www.winehq.org/pipermail/wine-patches/2007-April/037784.html

Comment 5 Andreas Bierfert 2007-04-05 17:54:34 UTC
I will see what I can do but the script would need to contain diffs and applying
it to the next release would probably not work anyway. Will think about it till
tomorro so.

I will bump to .34 asap. I have it build here locally for some time but there
are some fedora bugs which I'd like to fix before bumping I will have the time
in the next days so stay tuned... (will also look at the patch).


Note You need to log in before you can comment on or make changes to this bug.